<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script language="JavaScript" type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <title>vaporlinks - panel</title>
    <style>
        html {
            color-scheme: dark;
        }
        button {
            color: black
        }
    </style>
</head>
<body>
    <span id="status"></span>
</body>
<script>
    
    var sampleJSON = {
        "_id": "632a161e64d58e2fa3bbbc90",
        "linkName": "ad-astra",
        "links": [
            {
                "link": "https://soundcloud.com/wavetearz/ad-astra",
                "serviceName": "soundcloud",
                "serviceButtonText": "soundcloud"
            },
            {
                "link": "https://open.spotify.com/track/4xkguWir40xsO9c6Za2vVs",
                "serviceName": "spotify",
                "serviceButtonText": "spotify"
            }
        ],
        "title": "wavetearz - ad astra",
        "subtitle": "choose your streaming platform!"
    }

    const addBR = () => {
        document.body.appendChild(document.createElement("br"));
    }

    const addPage = (user, pass) => {
        addBR();
        let textarea = document.createElement("textarea")
        let submit = document.createElement("button")
        textarea.setAttribute("id", "json")
        textarea.innerHTML = JSON.stringify(sampleJSON, null, "\t")
        submit.setAttribute("onclick", "submitPage()");
        submit.innerHTML = "submit page"
        document.body.appendChild(textarea);
        addBR();
        document.body.appendChild(submit);
    }


    let login = prompt("enter login:");
    if (login == null || login == "") {
        document.getElementById("status").innerHTML = "please login to the panel"
    } else {
        let password = prompt("enter password:");
        if (password == null || password == "") {
            document.getElementById("status").innerHTML = "please login to the panel"
        } else {
            $.ajax('http://localhost:4242/api/getPages',
            {
                type: "POST",
                data: {
                    username: login,
                    password: password
                },
                success: function (pages, status, xhr) {
                    var body = document.body
                    
                    pages.forEach(page => {
                        var pageName = document.createElement("p");
                        var pageButton = document.createElement("button");
                        var pageButtonRemove = document.createElement("button");
                        pageName.innerHTML = page.title
                        pageButton.setAttribute("onclick", "editPage('" + login + "', '" + password + "', '" + page.linkName + "')")
                        pageButton.innerHTML = "Edit"
                        pageButtonRemove.innerHTML = "Remove"
                        pageButtonRemove.setAttribute("onclick", "removePage('" + login + "', '" + password + "', '" + page.linkName + "')")
                        body.appendChild(pageName); body.appendChild(pageButton);
                    })
                    addBR(); addBR();
                    var addPage = document.createElement("button");
                    addPage.innerHTML = "Add new page"
                    addPage.setAttribute("onclick", "addPage('" + login + "', '" + password + "')")
                    body.appendChild(addPage)
                },
                error: function(err) {
                    if(err.status === 429) { 
                        document.getElementById("wait").innerHTML = err.responseText
                    } else { alert("There is an issue with our backend service. Please contact an administrator.") }
                }
            });

        }
    }
</script>
</html>